#include <bits/stdc++.h>
using namespace std;
string s,d,mx,n1,n2,g;
int n;
char a;
int main () {
    cin>>n;
    if(n==2){
        cin>>n1>>n2;
        cout<<n2<<" "<<n1<<endl;
    }
    else {
        mx="0";
        for(int i=0;i<n;i++){
            cin>>a;
            s.push_back(a);
        }
        d=s;
        for(int i=0;i<n;i++){
            for(int j=0;j<n;j++){
                swap(d[i],d[j]);
                if(d!=s){
                    mx=max(d,mx);
                }
                d=s;
            }
        }
        for(int i=1;i<mx.size();i+=2){
            mx.insert(i," ");
        }
        cout<<mx<<endl;
    }
    return 0;
}